Deployments.ai Docs
Tenancy

Show an environment

GET /v1/environments/{id} · SDK getEnvironment · CLI deployments env show

GET
/v1/environments/{id}

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

id*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

EnvironmentResponse

application/json
  1. response
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
version*integer
Range1 <= value
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
metadata?
name*string
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 120
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
projectId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
slug*string
Match^[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?$
status*string
Value in"active""archived""disabled"
type*string
Value in"custom""development""production""staging"
curl -X GET "https://example.com/v1/environments/string" \  -H "x-deployments-environment: string"
{  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "version": 1,  "id": "string",  "metadata": {    "property1": null,    "property2": null  },  "name": "string",  "organizationId": "string",  "projectId": "string",  "slug": "string",  "status": "active",  "type": "custom"}